QBitVal(3qt)

NAME
QBitVal - Internal class, used with QBitArray

SYNOPSIS
#include <qbitarray.h>

  Public Members
QBitVal ( QBitArray * a, uint i )
operator int ()
QBitVal & operator= ( const QBitVal & v )
QBitVal & operator= ( bool v )

DESCRIPTION
The QBitVal class is an internal class, used with QBitArray.

The QBitVal is required by the indexing [] operator on bit arrays. Don't use it in any other context.

See also Collection Classes.

MEMBER FUNCTION DOCUMENTATION

QBitVal::QBitVal ( QBitArray * a, uint i )
Constructs a reference to element i in the QBitArray a. This is what QBitArray::operator[] constructs its return value with.

QBitVal::operator int ()
Returns the value referenced by the QBitVal.

QBitVal & QBitVal::operator= ( const QBitVal & v )
Sets the value referenced by the QBitVal to that referenced by QBitVal v.

QBitVal & QBitVal::operator= ( bool v )
This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Sets the value referenced by the QBitVal to v.

SEE ALSO
http://doc.trolltech.com/qbitval.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qbitval.3qt) and the Qt version (3.0.3).